import { Novu } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
await novu.layouts.get("layoutId");
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
body = {
'active' => true,
'check' => true
'credentials' => {
# insert all the fields
},
}
client.layout('<insert-layout-id>')
from novu.api import LayoutApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = LayoutApi(url, api_key).get(
layout_id="<The layout ID>"
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.layout(layoutId);
}
}
{
"data": {
"_id": "string",
"_organizationId": "string",
"_environmentId": "string",
"_creatorId": "string",
"name": "string",
"identifier": "string",
"description": "string",
"channel": "in_app",
"content": "string",
"contentType": "string",
"variables": [
{}
],
"isDefault": true,
"isDeleted": true,
"createdAt": "string",
"updatedAt": "string",
"_parentId": "string"
}
}
Layouts
Get layout
Get a layout by its ID
GET
/
v1
/
layouts
/
{layoutId}
import { Novu } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
await novu.layouts.get("layoutId");
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
body = {
'active' => true,
'check' => true
'credentials' => {
# insert all the fields
},
}
client.layout('<insert-layout-id>')
from novu.api import LayoutApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = LayoutApi(url, api_key).get(
layout_id="<The layout ID>"
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.layout(layoutId);
}
}
{
"data": {
"_id": "string",
"_organizationId": "string",
"_environmentId": "string",
"_creatorId": "string",
"name": "string",
"identifier": "string",
"description": "string",
"channel": "in_app",
"content": "string",
"contentType": "string",
"variables": [
{}
],
"isDefault": true,
"isDeleted": true,
"createdAt": "string",
"updatedAt": "string",
"_parentId": "string"
}
}
Enter your API key in the
Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80eimport { Novu } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
await novu.layouts.get("layoutId");
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
body = {
'active' => true,
'check' => true
'credentials' => {
# insert all the fields
},
}
client.layout('<insert-layout-id>')
from novu.api import LayoutApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = LayoutApi(url, api_key).get(
layout_id="<The layout ID>"
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.layout(layoutId);
}
}
{
"data": {
"_id": "string",
"_organizationId": "string",
"_environmentId": "string",
"_creatorId": "string",
"name": "string",
"identifier": "string",
"description": "string",
"channel": "in_app",
"content": "string",
"contentType": "string",
"variables": [
{}
],
"isDefault": true,
"isDeleted": true,
"createdAt": "string",
"updatedAt": "string",
"_parentId": "string"
}
}
Authorizations
API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".
Path Parameters
Response
Ok
Available options:
in_app, email, sms, chat, push Was this page helpful?